use std::env;
use std::fs::File;
use std::io::{BufReader, Read};

fn main() {
    let args: Vec<String> = env::args().collect();
    if args.len() < 2 {
        eprintln!("ファイル名を指定してください。");
        return;
    }
    let filename = &args[1];
    match File::open(filename) {
        Ok(file) => {
            let mut br = BufReader::new(file);
            let mut s = String::new();
            match br.read_to_string(&mut s) {
                Ok(_) => println!("{s}"),
                Err(e) => eprintln!("ファイルから読み込めません: {e}"),
            }
        }
        Err(e) => eprintln!("ファイルが開けません: {e}"),
    }
}
